﻿"use strict";
(function () {
  let
    control_fileInput = document.querySelector(".identification-document__upload__file"),
    control_uploadButton = document.querySelector(".identification-document__upload__button"),
    control_filename = document.querySelector(".identification-document__filename"),
    control_imageLink = document.querySelector(".identification-document__a"),
    control_image = document.querySelector(".identification-document__a__img"),
    control_imageBase64Url = document.querySelector(".identification-document__base64"),
    x = 1;

  function _bindEvents() {
    control_uploadButton.addEventListener("click", function () {
      control_fileInput.click();
    });

    control_fileInput.addEventListener("change", function (event) {
      const file = event.target.files[0];
      if(file) {
        console.log('File name:', file.name);
        console.log('File size:', file.size);
        console.log('File type:', file.type);
        control_filename.value = file.name;
        const reader = new FileReader();
        reader.onload = function (e) {
          debugger;
          const base64StringUrl = e.target.result;
          control_imageLink.href = base64StringUrl;
          control_image.src = base64StringUrl;
          console.log('Base64 String:', base64String);
        };
        reader.readAsDataURL(file);
      } else {
        console.log('No file selected');
      }
    });
  }

  function _init() {
    _bindEvents();
    _initFiles();
  }

  function _initFiles() {
    if (control_imageBase64Url.value) {
      debugger;
      const fileContent = control_imageBase64Url.value;
      const filename = control_filename.value;
      const file = new File([fileContent], filename);
      const dataTransfer = new DataTransfer();
      dataTransfer.items.add(file);
      const fileList = dataTransfer.files;
      control_fileInput.files = fileList;
    }
  }

  _init();
})();